<div class="app-container mat-app-background mat-typography">
  <app-menu>
    <app-loading-indicator
      [loaded]="(annotationLoaded$|ngrxPush)"
      message="Annotations are loading..."
      position="before">
    </app-loading-indicator>
    <svm-slide-viewer
      [selectedSlideId]="(selectedSlideId$|ngrxPush)"
      [slide]="(slide$|ngrxPush)"
      [annotationIds]="(annotationIds$|ngrxPush)"
      [annotations]="(annotations$|ngrxPush)"
      [removeAnnotations]="(removeAnnotations$|ngrxPush)"
      [annotationCentroidsForClustering]="(centroids$|ngrxPush)"
      [clearAnnotations]="(clearAnnotations$|ngrxPush)"
      [clusterDistance]="CLUSTER_DISTANCE"
      [focusAnnotation]="(focusAnnotation$|ngrxPush)"
      [uiConfig]="uiConfig"
      [interactionType]="(selectedInteractionType$|ngrxPush)"
      [allowedInteractionTypes]="(allowedInteractionTypes$|ngrxPush)"
      [examinationState]="(examinationState$|ngrxPush)"
      [updateSlideViewer]="(menuSize$|ngrxPush)"
      [hideAnnotationIds]="(hiddenAnnotationIds$|ngrxPush)"
      [classColorMapping]="(classColorMapping$|ngrxPush)"
      (doubleClicked)="toggleMenuVisibility()"
      (slideMoveEnd)="onViewerMoveEnd($event)"
      (requestAnnotations)="requestAnnotations($event)"
      (annotationAdded)="onAnnotationCreated($event)"
      (annotationClick)="onAnnotationClicked($event)">
    </svm-slide-viewer>
  </app-menu>
</div>

<ng-template
  cdkConnectedOverlay
  cdkConnectedOverlayOrigin="cdkOverlayOrigin"
  cdkConnectedOverlayWidth="100vw"
  cdkConnectedOverlayHeight="100vh"
  [cdkConnectedOverlayOpen]="!(allPersisted$|ngrxPush)">
  <app-persistence-overlay></app-persistence-overlay>
</ng-template>

